# stream_context_set_option

(PHP 4 >= 4.3.0, PHP 5, PHP 7, PHP 8)

stream_context_set_option — Configure une option pour un flux/gestionnaire/contexte

### Description

stream_context_set_option(
resource `$stream_or_context`,
string `$wrapper`,
string `$option`,
mixed `$value`
): bool

La signature alternative suivante est obsolète à partir de PHP 8.4.0, utilisez stream_context_set_options() à la place.

stream_context_set_option(resource `$stream_or_context`, array `$options`): bool

stream_context_set_option() définit une option pour le contexte spécifié. La valeur `value` est définie pour l'`option` pour le contexte `wrapper`.

### Liste de paramètres

`stream_or_context`

  Le flux ou la ressource de contexte sur lequel on applique l'option.

`wrapper`

  Le nom du gestionnaire (qui peut être différent de celui du protocole). Voyez la section sur les contextes pour connaître la liste des paramètres standard de flux.

`option`

  Le nom de l'option.

`value`

  La valeur de l'option.

`options`

  L'option à définir pour le paramètre `stream_or_context`.

  > Note:

  > Le paramètre `options` doit être un tableau associatif de tableaux associatifs, au format `$arr['wrapper']['option'] = $value`.

  > Voyez la section sur les contextes pour connaître la liste des paramètres standard de flux.

### Valeurs de retour

Cette fonction retourne `true` en cas de succès ou `false` si une erreur survient.

### Historique

Version | Description
--- | ---
8.4.0 | La signature alternative à 2 paramètres est désormais obsolète. Utilisez stream_context_set_options() à la place.